#2498 Commit Failure After Project Upgrade

fixed
Dominion of the Sword (dost-mod)
2015-10-07
2013-01-20
No

Recently I have upgraded our project to the new SF software as offered but now I have trouble committing larger files. Our project is heavy on large (usually art, mostly images) files but only one or two get regular updates (each ~70 mb large). The commit fails abruptly after uploading the said file with similar message to this one:

Commit failed (details follow):
Can't open file '/svn/p/dots-mod/code/db/transactions/1012-sr.txn/next-ids':
Permission denied

The client I am using is TortoiseSVN 1.7.11 64-bit.

I have tried:
- reparing the TortoiseSVN install
- checkout only problematic location and committing from there
- reverting/clean-up
- different internet connection

The files in question in our project:

/trunk/mods/DotS/REBUILD/merge/psf_script.txt
/trunk/mods/DotS/data/world/maps/campaign/imperial_campaign/campaign_script.txt

However the latter is 0 size as of our latest revision 1012. It is a result of me unsuccessfully trying to remove the file and upload it again which did not work so please pull it out from revision 1011 if you would want to take a look. I recommend Notepad++ or similar as Windows notepad does not handle such a large file well.

Encoding of both files is: UTF-8 (without BOM) and there are no special characters in them as far as I know.

Thanks for help!!

Related

Site Support: #2498

Discussion

  • Anonymous - 2013-01-22
    • labels: --> siteops, p2
    • status: unread --> assigned
    • assigned_to: Chris Tsai
     
  • Anonymous - 2013-01-22

    Greetings,

    We have a request in with our operations team to fix the permissions. I'll let you know when that's done.

    Thanks,
    Chris Tsai, SourceForge.net Support

     
  • Anonymous - 2013-01-23

    Greetings,

    Note that only svn+ssh:// and https:// protocols allow read/write to the repo. svn:// and http:// are read-only.

    Please confirm that you're using a read/write protocol when trying to commit.

    Thanks,
    Chris Tsai, SourceForge.net Support

     
  • Anonymous - 2013-01-23
    • status: assigned --> pending
     
  • Michael Vlach

    Michael Vlach - 2013-01-23

    I confirm that I am using https protocol. I can commit changes to all other files in our repo just fine so far, only those (and probably some others I haven't encountered yet) cause the permission denied error.

     
  • Michael Vlach

    Michael Vlach - 2013-01-23

    After the upgrade I have set up our secondary (for release) repo. Today I started to commit files in it and yet again encountered this very same problem. I am indeed using https and I have successfully committed some files.

    Repeated commit fixed the problem though so far (but it still happens, especially with larger commits that seem to fail pretty much always).

    I now suspect it might be either corrupted installation of TortoiseSVN or my account here at SF as the "Release" repo was created after the upgrade and therefore should be free of any errors.

    Thx for help and advice!

     
    Last edit: Michael Vlach 2013-01-23
  • Anonymous - 2013-01-23

    Siteops:

    Chatted with the user in IRC, and he confirms he's been using https the whole time, and that this is intermittent (which implies it might be the auth check erroring or something?) but he says these errors are much more likely with large commits (both with single large files, as well as large commits of a bunch of small files).

    Might it be doing the allura auth check multiple times per commit? If so, that might explain why it more frequently errors on large commits compared to small ones.

     
  • Anonymous - 2013-01-23
    • status: pending --> assigned
    • assigned_to: Chris Tsai --> Wayne Davison
     
  • Jim Kueneman

    Jim Kueneman - 2013-08-04

    I am having this same issue with https and a file >30MB. Is this being worked?

    Thanks,
    Jim

     
  • David Burley

    David Burley - 2015-09-11

    Please advise: Is this issue still present?

     
  • John Barrett

    John Barrett - 2015-10-07
    • status: assigned --> fixed
     
    • Michael Vlach

      Michael Vlach - 2015-10-07

      Hi, thanks for the message. We have abandoned SF with our project a long
      time ago so I honestly cannot tell if this is still an issue but I
      guess/hope that during the years the large files handling has been resolved
      anyway.

      Best wishes,
      Michael

      2015-10-07 6:05 GMT+02:00 John Barrett jwb1980@users.sf.net:

      • status: assigned --> fixed
      • Comment:

      Hello,
      Durning a ticket review process I saw this ticket, so I apologize for the
      delay in my reply to this ticket. I think this is an old issue that has
      already been taken care of if I'm mistaken please let me know and I will
      take another look into your situation.
      Thanks
      SourceForge Support


      Status: fixed
      Labels: siteops p2
      Created: Sun Jan 20, 2013 07:11 PM UTC by Michael Vlach
      Last Updated: Fri Sep 11, 2015 09:34 PM UTC
      Owner: Wayne Davison

      Recently I have upgraded our project to the new SF software as offered but
      now I have trouble committing larger files. Our project is heavy on large
      (usually art, mostly images) files but only one or two get regular updates
      (each ~70 mb large). The commit fails abruptly after uploading the said
      file with similar message to this one:

      Commit failed (details follow):
      Can't open file
      '/svn/p/dots-mod/code/db/transactions/1012-sr.txn/next-ids':
      Permission denied

      The client I am using is TortoiseSVN 1.7.11 64-bit.

      I have tried:
      - reparing the TortoiseSVN install
      - checkout only problematic location and committing from there
      - reverting/clean-up
      - different internet connection

      The files in question in our project:

      /trunk/mods/DotS/REBUILD/merge/psf_script.txt

      /trunk/mods/DotS/data/world/maps/campaign/imperial_campaign/campaign_script.txt

      However the latter is 0 size as of our latest revision 1012. It is a
      result of me unsuccessfully trying to remove the file and upload it again
      which did not work so please pull it out from revision 1011 if you would
      want to take a look. I recommend Notepad++ or similar as Windows notepad
      does not handle such a large file well.

      Encoding of both files is: UTF-8 (without BOM) and there are no special
      characters in them as far as I know.

      Thanks for help!!

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/forge/site-support/2498/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Site Support: #2498

  • John Barrett

    John Barrett - 2015-10-07

    Hello,
    Durning a ticket review process I saw this ticket, so I apologize for the delay in my reply to this ticket. I think this is an old issue that has already been taken care of if I'm mistaken please let me know and I will take another look into your situation.
    Thanks
    SourceForge Support

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks